/* global jest: false */
import { NativeModules } from 'react-native';

NativeModules.RNCreedonImagepicker = {
	assets: jest.fn(),
	launchImageLibrary: jest.fn(),
	cleanupTempFiles: jest.fn(),
	addListener: jest.fn(),
};

const mockRNCreedonImagepicker = jest.genMockFromModule('react-native-creedon-imagepicker');
mockRNCreedonImagepicker.assets = () => Promise.resolve();
mockRNCreedonImagepicker.launchImageLibrary = () => Promise.resolve();
mockRNCreedonImagepicker.cleanupTempFiles = () => Promise.resolve();

module.exports = mockRNCreedonImagepicker;
